Last Comment Bug 337139 - select1, hooking up a send to ev:xforms-select only works the first time
: select1, hooking up a send to ev:xforms-select only works the first time
Status: RESOLVED FIXED
: fixed1.8.0.5, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: ---
Assigned To: aaronr
: Stephen Pride
Mentors:
http://www.w3.org/TR/xforms/
Depends on:
Blocks: 331209 339062
  Show dependency treegraph
 
Reported: 2006-05-08 09:00 PDT by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Testcase (2.63 KB, application/xhtml+xml)
2006-05-08 09:01 PDT, Allan Beaufour
no flags Details
Crude fix (1012 bytes, patch)
2006-05-23 08:49 PDT, Allan Beaufour
doronr: review+
bugs: review+
Details | Diff | Splinter Review

Description Allan Beaufour 2006-05-08 09:00:28 PDT
If I hook up a send to an xforms-select on a xforms:select1, it only triggers the submission the first time. On subsequent selects I get this error:

Error: elm.parentNode has no properties
Source File: chrome://xforms/content/select1.xml
Line: 942
Comment 1 Allan Beaufour 2006-05-08 09:01:54 PDT
Created attachment 221307 [details]
Testcase
Comment 2 Allan Beaufour 2006-05-18 09:57:16 PDT
Possibly a dupe of 332292?
Comment 3 Allan Beaufour 2006-05-23 08:49:15 PDT
Created attachment 223042 [details] [diff] [review]
Crude fix

Aparently the selected element does not always have a parent node? Checking for that makes the dispatchEvent() work.

It does not fix the testcase 100%, because the xforms-select event is sent before the node value is changed, so the result gotten from the server is "lagging". But it might be correct event sequencing? Dunno.
Comment 4 Doron Rosenberg (IBM) 2006-05-23 09:34:56 PDT
Comment on attachment 223042 [details] [diff] [review]
Crude fix

ugh, you really should figure out why elm has no parentNode - you probably have a reference to an element no longer in the DOM.

Check is ok for a temp fix though (0.6)
Comment 5 Allan Beaufour 2006-05-23 09:46:49 PDT
Comment on attachment 223042 [details] [diff] [review]
Crude fix

something's wrong alright, but temp fix. for 0.6, please.
Comment 6 Olli Pettay [:smaug] 2006-05-23 10:06:17 PDT
Comment on attachment 223042 [details] [diff] [review]
Crude fix

Could you put the whole
method inside CDATA.
& is just too ugly,
& is much better
With that r=me
Comment 7 Allan Beaufour 2006-05-24 00:38:53 PDT
Fixed on trunk w/smaug's comment fixed
Comment 8 Allan Beaufour 2006-05-24 00:41:18 PDT
Filed follow up bug 339062.

Note You need to log in before you can comment on or make changes to this bug.